# $Id$
# Authority: dag

%{?el5:%define _without_gsf 1}
%{?el4:%define _without_gsf 1}

Summary: Goffice support libraries
Name: goffice
Version: 0.6.6
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Libraries
URL: http://freshmeat.net/projects/goffice/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://ftp.acc.umu.se/pub/GNOME/sources/goffice/0.6/goffice-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libgnomeui-devel >= 2.0.0
%{!?_without_gsf:BuildRequires: libgsf-gnome-devel >= 1.13.3}

%description
Support libraries for Gnome Office.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel >= 2.0.0
%{!?_without_gsf:Requires: libgsf-gnome-devel >= 1.13.3}
Requires: pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build
%configure --disable-dependency-tracking
%{__perl} -pi.orig -e '
        s|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g;
    ' libtool
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
%find_lang goffice-%{version}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files -f goffice-%{version}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/goffice/
%{_datadir}/pixmaps/goffice/
%{_libdir}/libgoffice-0.6.so.*
%{_libdir}/goffice/

%files devel
%defattr(-, root, root, 0755)
%{_datadir}/gtk-doc/html/goffice-0.6/
%{_includedir}/libgoffice-0.6/
%{_libdir}/pkgconfig/libgoffice-0.6.pc
%{_libdir}/libgoffice-0.6.so
%exclude %{_libdir}/libgoffice-0.6.la
%exclude %{_libdir}/goffice/%{version}/plugins/*/*.la

%changelog
* Sun Feb 12 2012 Dag Wieers <dag@wieers.com> - 0.6.6-1
- Initial package. (using DAR)
